<head>
  <link rel="stylesheet" href="styles/style.css" />
  <link rel="stylesheet" href="styles/w3.css" />  <!--mostly for button styling-->
  <link rel="stylesheet" href="styles/merged.css" /> 
  <script src="scripts/data.js"></script>
  <script src="scripts/allSeries.js"></script> 
  <script src="scripts/analytics.js"></script>
  <script src="scripts/uvp.js"></script>
  <script src="scripts/runtime.js"></script>
  <script src="scripts/lookup.js"></script>
  <script src="scripts/merged.js"></script>
</head>
<body>
    <div class="tab">
        <button class="tablinks active" id="analyticsTab">Analytics</button>
        <button class="tablinks" id="runtimeTab" >Runtime Calculations</button>
        <button class="tablinks" id="uvpTab" >UVP Testing</button>
        <button class="tablinks" id="lookupTab" >ID Lookup and URL Generation</button>
    </div>
    <div id="analyticsContent" class="visible">
        <h1>Text Parser and Sorter</h1>
        <form name="myform">
          <p>Paste text to be parsed here. Select the type of data to be analyzed in the dropdown, then use the Pull Values button. </p>
            <textarea rows="20" cols="50" name="databox">
                Example code:
    
                ndh	1
                t	00/00/0000 00:00:00 0 300
                c.	
                eVar8	Signed In
                eVar6	SVOD
                eVar23	Auto Play
                eVar11	No cast
                a.	
                action	event27
                friendlyName	The Volcanoes of Hawaii
                asset	20934
                feed	HD
                length	140
                show	Aerial America
                episode	31
                season	1
                airDate	2018-08-01T04:00:00Z
                format	vod
                playerName	Standard Player
                genre	Aerial, Culture
                name	20934
                .media	
                .a	
                eVar4	4.0.17 (101)
                eVar22	clip
                eVar2	20
                eVar9	scotty_month
                eVar15	Quick Clips
                eVar7	0
                s.	
                channel Detail
                pageName	Video Player
                prop15	Quick Clips
                prop2	20
                prop9	scotty_month
                prop7	0
                events	event27
                .s	
                eVar5	iPad
                eVar3	Wednesday
                eVar1	d8eb94afc8984dbaa4a23f6d39c4db71
                eVar24	2018-08-01T04:00:00Z
                eVar12	Detail : Warm-Weather Winter Vacations
                .c	
                mid	45906858994548028031055733855091988289
                pev2	AMACTION:event27
                pageName	Smithsonian Channel/101
                pe	lnk_o
                ce	UTF-8
                aamlh	7
                cp	foreground
                aamb	j8Odv6LonN4r3an7LhD3WZrU1bUpAkFkkiY1ncBR96t2PTI
            </textarea
            ><br>
            <input
            type="button"
            id="analyticsButton"
            value="Analytics"
            class="w3-btn w3-Blue"
            />
            <input
            type="button"
            id="heartbeatsButton"
            value="Heartbeats"
            class="w3-btn w3-pink"
            />
            <input
            type="button"
            id="clearButton"
            value="Clear Values"
            class="w3-btn w3-Indigo"
            />
        </form>
        <div id="channel"></div>
        <div id="pageName"></div>
        <div id="heartbeat"></div>
    </div>
    <div id="runtimeContent" class="hidden">

      <h1>Runtime Calculator</h1>
      <h2>Input time in Mm Ss or Ss format</h2>
      <input type="text" id="runtime" placeholder="15m 45s">
      <input
        type="button"
        id="convertRuntimeButton"
        value="Convert to #m #s format"
        class="w3-btn w3-Blue"
      />
       <div id="runtimeDisplay"></div>
      <h2>Calculate your % played</h2>
      <input type="text" id="timePlayed" placeholder="Time Played">
      <input type="text" id="totalTime" placeholder="Content Length">
      <input
        type="button"
        id="calculatePercentButton"
        value="Get % Played"
        class="w3-btn w3-Green"
      />
       <div id="percentDisplay"></div>
    </div>
    <div id="uvpContent" class="hidden">

      <h1>UVP Test</h1>
      <h2>Paste in the json from UVP implementation</h2>
      <form name="uvpForm">
        <textarea name="uvpText" cols="30" rows="10">
          json data goes here
        </textarea>
      </form>
      <input
      type="button"
      id="uvpButton"
      value="Format json"
      class="w3-btn w3-Green"
      />
      <input
      type="button"
      id="clearTableButton"
      value="Reset Table"
      class="w3-btn w3-Red"
      />
      <input id="filterText" type="search" placeholder="Search Filter" onsearch="displayFilter()">
      <input type="checkbox" id="uvpRegex" value="">
      <label>Regex</label>
      <input type="checkbox" id="uvpInvert" value="">
      <label>Invert Search</label>
    </div>
    <div id="lookupContent" class="hidden">
     
      <h1>Openey Opener Thingie</h1>
      <h2>Enter Episode ID</h2>
      <input type="text" id="episodeIDInput" placeholder="3415405">
      <input
        type="button"
        id="episodeIDButton"
        value="Get Episode URL"
        class="w3-btn w3-Blue"
      />
      <div id="episodeDisplay" class="spacy"></div>

      <h2>Enter Show ID</h2>
      <input type="text" id="showIDInput" placeholder="3419987">
      <input
      type="button"
      id="showIDButton"
      value="Get Show URL"
      class="w3-btn w3-Green"
      />
      <div id="showDisplay" class="spacy"></div>
     
      <h2>Enter Series ID</h2>
      <input type="text" id="seriesIDInput" placeholder="1003568"> 
      <input
      type="button"
      id="seriesIDButton"
      value="Get Series URL"
      class="w3-btn w3-Red"
      />
      <div id="seriesDisplay" class="spacy"></div>

      <h2>Get all unpublished episodes of published shows</h2>
      <input
      type="button"
      id="unpubButton"
      value="Get Unpub Episodes of Published Series"
      class="w3-btn w3-Orange"
      />
      <div id="unpubDisplay" class="spacy"></div> 
    </div>
    
</body>
